summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2005-05-10 12:59:44 +0000
committerJim Meyering <jim@meyering.net>2005-05-10 12:59:44 +0000
commitc2666e4b18f7fbf5be3544a655a2f6a8001f1b4d (patch)
treecf21d123c82675454a519b8d9f09541cdd9dfb02
parent4c2413d79f52f94f8c839d4b1123449b17ce93a6 (diff)
downloadcoreutils-c2666e4b18f7fbf5be3544a655a2f6a8001f1b4d.tar.xz
Skip the test if the user running it has write access to `/'.
-rwxr-xr-xtests/touch/not-owner5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/touch/not-owner b/tests/touch/not-owner
index 49af6941b..c32547e66 100755
--- a/tests/touch/not-owner
+++ b/tests/touch/not-owner
@@ -25,6 +25,11 @@ if test $framework_failure = 1; then
(exit 1); exit 1
fi
+if test -w /; then
+ echo Skipping because you have write access to /.
+ (exit 77); exit 77
+fi
+
fail=0
# Before fileutils-4.1, we'd get the following misleading